
Smart Proxy - Bug #6585

Fix command exit code handling under Ruby 1.9+

07/11/2014 05:39 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Aaron Stone   

Category:    

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/181

  

Description

The exit codes from executed commands aren't retrieved properly, this can be fixed for Ruby 1.9+.

Associated revisions

Revision bbafbc03 - 07/11/2014 05:42 AM - Aaron Stone

fixes #6585 - Update Proxy::Util::CommandTask to handle Ruby 1.8 and 1.9+

In this update, use 'true' and 'false' to test $? return codes 0 and 1, respectively.

In Ruby 1.8.x, the return code from Open3.popen3 is always 0, some errors will not be caught.

History

#1 - 07/11/2014 06:01 AM - Aaron Stone

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset bbafbc039a20baa6b3b62622afc9a145b4fabc22.

#2 - 07/30/2014 08:00 AM - Dominic Cleal

- Assignee set to Aaron Stone
